Using the µVision Socket Interface: BKRSP Struct Reference

| Using the µVision Socket Interface Application Note 198 Control and monitor µVision via the built-in TCP/IP interface

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
BKRSP Struct Reference
Structs

## Data Fields
BKTYPE | type
| Type of breakpoint. More...
UINT | count
| Number of occurrances before actually hit. More...
UINT | enabled
| 1:=Breakpoint is enabled, 0:=Breakpoint is disabled More...
UINT | nTickMark
| Time of breakpoint creation, used to identify individual breakpoints. More...
xU64 | nAddress
| Breakpoint address. More...
UINT | nExpLen
| Length of breakpoint expression, including zero terminator. More...
char | szBuffer [512]
| Breakpoint expression ('breakpoint expression',0) More...

## Description

Breakpoint parameter data (existing)

Data representing an existing breakpoint.

This structure is used in the following messages:

Client <== uVision (Async)

- UV_DBG_CHANGE_BP (uVision writes the breakpoint type to type, the occurrence count to count, the enable state to enabled, the creation timestamp to nTickMark, the address to nAddress, the expression length to nExpLen and the expression to szBuffer)
- UV_DBG_ENUMERATE_BP (uVision writes the breakpoint type to type, the occurrence count to count, the enable state to enabled, the creation timestamp to nTickMark, the address to nAddress, the expression length to nExpLen and the expression to szBuffer)

## Field Documentation

UINT BKRSP::count

Number of occurrances before actually hit.

UINT BKRSP::enabled

1:=Breakpoint is enabled, 0:=Breakpoint is disabled

xU64 BKRSP::nAddress

Breakpoint address.

UINT BKRSP::nExpLen

Length of breakpoint expression, including zero terminator.

UINT BKRSP::nTickMark

Time of breakpoint creation, used to identify individual breakpoints.

char BKRSP::szBuffer[512]

Breakpoint expression ('breakpoint expression',0)

BKTYPE BKRSP::type

Type of breakpoint.